Дизайн панели

Запрос улучшений, интеграции с различными системами и т.д.
Аватара пользователя
Alex Keda
Сообщения: 2767
Зарегистрирован: 2009-10-07 14:30:54
Откуда: USSR
Поблагодарили: 18 раз

Re: Дизайн панели

Сообщение Alex Keda » 2011-03-22 17:58:11

ну а сочувствую за выбор дистра, в котором всё настока старое.
стабильность в ущерб тому что не фиксятся ошибки - это перебор.
Убей их всех! Бог потом рассортирует...

Аватара пользователя
vrtc
Сообщения: 43
Зарегистрирован: 2011-03-13 15:01:05
Контактная информация:

Re: Дизайн панели

Сообщение vrtc » 2011-03-22 19:10:53

обновил php до 5.2.17 , результат 0 , все как было так и осталось, панель не заработала

Аватара пользователя
vrtc
Сообщения: 43
Зарегистрирован: 2011-03-13 15:01:05
Контактная информация:

Re: Дизайн панели

Сообщение vrtc » 2011-03-22 19:56:05

Полностью снес php и поставил заново, толку ноль. если есть здесь толковые головы то готов заплатить за введение в работоспособность панели joonte

Аватара пользователя
Alex Keda
Сообщения: 2767
Зарегистрирован: 2009-10-07 14:30:54
Откуда: USSR
Поблагодарили: 18 раз

Re: Дизайн панели

Сообщение Alex Keda » 2011-03-22 21:14:53

vrtc писал(а):обновил php до 5.2.17 , результат 0 , все как было так и осталось, панель не заработала

а php c нужной libxml скомпилен? обновляли всё что обновилось или тока пых?
(я не линуксоид, я чертовод, познания по линуксам поверхностные)

там ещё совет был, чуть выше по треду на багтрекере php - насчёт expat...
Убей их всех! Бог потом рассортирует...

Аватара пользователя
Alex Keda
Сообщения: 2767
Зарегистрирован: 2009-10-07 14:30:54
Откуда: USSR
Поблагодарили: 18 раз

Re: Дизайн панели

Сообщение Alex Keda » 2011-03-22 21:15:36

скажем так, у меня, когда всё пофиксили, потребовалась рекурсивная пересборка всех зависмостей.
тока после этого отпустило
Убей их всех! Бог потом рассортирует...

Аватара пользователя
vrtc
Сообщения: 43
Зарегистрирован: 2011-03-13 15:01:05
Контактная информация:

Re: Дизайн панели

Сообщение vrtc » 2011-03-22 21:37:14

я делал так
libxml2 уже установлен
aptitude show libxml2 показывает версию libxml2-2.7.8
далее делаю:
apt-get remove php5-common (тут удалились и зависимости, php-cgi, libapache... и т.д.)
apt-get update
apt-get upgrade
apt-get install php5 (тут все зависимости и сам пых установились заново)

После чего отвалились все расширения php которые не вкомпилены в само php , но это дело 3-х минут

итог php 5.2.17 libxml2-2.7.8 , а phpinfo(); попрежнему выводит LibXml Version 2.6.32

Аватара пользователя
Alex Keda
Сообщения: 2767
Зарегистрирован: 2009-10-07 14:30:54
Откуда: USSR
Поблагодарили: 18 раз

Re: Дизайн панели

Сообщение Alex Keda » 2011-03-22 22:54:02

у вас

Код: Выделить всё

php52-xml-5.2.17
(у вас он по другому называется немножко, это у меня так) скомпилен со старой libxml

скачайте для него srcrpm (или как но там в дебиане, но смысл такой же должен быть) и из него поставьте

или используйте другой репозиторий

может быть что-то не так сделали, как я уже писал - я не линуксоид...
Убей их всех! Бог потом рассортирует...

Аватара пользователя
Alex Keda
Сообщения: 2767
Зарегистрирован: 2009-10-07 14:30:54
Откуда: USSR
Поблагодарили: 18 раз

Re: Дизайн панели

Сообщение Alex Keda » 2011-03-22 22:56:35

как назло ни одного лиуксоида занкомго нету в аське...
всё нашенские, фряховоды тока...
Убей их всех! Бог потом рассортирует...

Аватара пользователя
vrtc
Сообщения: 43
Зарегистрирован: 2011-03-13 15:01:05
Контактная информация:

Re: Дизайн панели

Сообщение vrtc » 2011-03-23 0:11:30

попробовал еще вариант, вручную перекомпилировал php из сырцов, результат тот же самый - не пашет, я уже психую, 2-е сутки пытаюсь что то сделать и ни чего не выходит

php52-xml-5.2.17 - такого для debian нет, по крайней мере я не нашел, только rpm пакеты, может имелось ввиду php5-xmlrpc, то у меня стоит это

Аватара пользователя
Alex Keda
Сообщения: 2767
Зарегистрирован: 2009-10-07 14:30:54
Откуда: USSR
Поблагодарили: 18 раз

Re: Дизайн панели

Сообщение Alex Keda » 2011-03-23 1:41:22

Код: Выделить всё

srv0$ pkg_info | grep xml
libxml2-2.7.8_1     XML parser library for GNOME
p5-XML-LibXML-1.70,1 Interface to Gnome libxml2 library
php52-simplexml-5.2.17 The simplexml shared extension for php
php52-xml-5.2.17    The xml shared extension for php
php52-xmlreader-5.2.17 The xmlreader shared extension for php
php52-xmlrpc-5.2.17 The xmlrpc shared extension for php                                                                     
php52-xmlwriter-5.2.17 The xmlwriter shared extension for php
srv0$

а помоему это у вас не то...
====
в любом случае - проблема именно в модуле скомпиленом со старой либой

а психовать точно не надо.
надо поспать и позаниматься с полдня чем-то другим
решение само придёт
Убей их всех! Бог потом рассортирует...


Вернуться в «Запрос улучшений»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 1 гость